package com.yanzhu.manage.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.manage.mapper.BusExamInfoQuesMapper;
import com.yanzhu.manage.domain.BusExamInfoQues;
import com.yanzhu.manage.service.IBusExamInfoQuesService;

/**
 * 试卷问题Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
@Service
public class BusExamInfoQuesServiceImpl implements IBusExamInfoQuesService 
{
    @Autowired
    private BusExamInfoQuesMapper busExamInfoQuesMapper;

    /**
     * 查询试卷问题
     * 
     * @param examId 试卷问题主键
     * @return 试卷问题
     */
    @Override
    public BusExamInfoQues selectBusExamInfoQuesByExamId(Long examId)
    {
        return busExamInfoQuesMapper.selectBusExamInfoQuesByExamId(examId);
    }

    /**
     * 查询试卷问题列表
     * 
     * @param busExamInfoQues 试卷问题
     * @return 试卷问题
     */
    @Override
    public List<BusExamInfoQues> selectBusExamInfoQuesList(BusExamInfoQues busExamInfoQues)
    {
        return busExamInfoQuesMapper.selectBusExamInfoQuesList(busExamInfoQues);
    }

    /**
     * 新增试卷问题
     * 
     * @param busExamInfoQues 试卷问题
     * @return 结果
     */
    @Override
    public int insertBusExamInfoQues(BusExamInfoQues busExamInfoQues)
    {
        return busExamInfoQuesMapper.insertBusExamInfoQues(busExamInfoQues);
    }

    /**
     * 修改试卷问题
     * 
     * @param busExamInfoQues 试卷问题
     * @return 结果
     */
    @Override
    public int updateBusExamInfoQues(BusExamInfoQues busExamInfoQues)
    {
        return busExamInfoQuesMapper.updateBusExamInfoQues(busExamInfoQues);
    }

    /**
     * 批量删除试卷问题
     * 
     * @param examIds 需要删除的试卷问题主键
     * @return 结果
     */
    @Override
    public int deleteBusExamInfoQuesByExamIds(Long[] examIds)
    {
        return busExamInfoQuesMapper.deleteBusExamInfoQuesByExamIds(examIds);
    }

    /**
     * 删除试卷问题信息
     * 
     * @param examId 试卷问题主键
     * @return 结果
     */
    @Override
    public int deleteBusExamInfoQuesByExamId(Long examId)
    {
        return busExamInfoQuesMapper.deleteBusExamInfoQuesByExamId(examId);
    }
}
